library(shiny)

shinyUI(fluidPage(

  titlePanel("Riemann Integrals"),

  sidebarLayout(
      sidebarPanel(
          textInput("fun","Write your function:",value="x"),
          textInput("from","From",value="0"),
          textInput("to","To",value="1"), 
          selectInput("where","Position of Intermediate Points",          
                choice=c("left","middle","right","random")),
          sliderInput("kpoints","Number of Intermediate Points",min=5, max=100, value=5,step=5, 
                animate=animationOptions(interval = 500)),
          uiOutput("appinfo"),width=3
        ),
    mainPanel(
      uiOutput("text"),
      plotOutput("plot")
    )
  ),
    
  uiOutput("explainText")    
))

